import { Http } from '@angular/http';
import 'rxjs/add/operator/toPromise';
import { Context, HierarchyService } from 'framework3/core';
import { CuentaInfo, CuentaTipoItem } from '../models/cuenta';
export declare class CuentaService extends HierarchyService<CuentaInfo> {
    constructor(http: Http, context: Context);
    create(): Promise<CuentaInfo>;
    loadTipos(idEmpresa: string): Promise<CuentaTipoItem[]>;
}
