import { Http } from '@angular/http';
import { Observable } from 'rxjs/Rx';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { ImpuestoInfo, ImpuestoTipoItem, ImpuestoItem } from '../models/impuesto';
export declare class ImpuestoService extends CatalogService<ImpuestoInfo> {
    constructor(http: Http, context: Context);
    create(): Promise<ImpuestoInfo>;
    loadTipos(idEmpresa: string): Promise<ImpuestoTipoItem[]>;
    searchKeywordImpuestos(idBranch: number, keyword: string): Observable<ImpuestoItem[]>;
}
