import { Http } from '@angular/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { NotaInfo } from '../models/nota';
import { NotaDetail } from '../models/nota-detail';
import { NotaRelaciones } from '../models/nota-relaciones';
export declare class NotaService extends DocumentService<NotaDetail, NotaInfo> {
    protected http: Http;
    protected context: Context;
    constructor(http: Http, context: Context);
    create(): Promise<NotaInfo>;
    ListarComprobantes(idNota: string): Promise<NotaRelaciones[]>;
    AgregarComprobante(idNota: string, idComprobanteFiscal: string, uuid: string): Promise<any>;
    EliminarComprobante(idNotaRelacion: number): Promise<any>;
    updateNota(document: NotaInfo): Promise<NotaInfo>;
}
