"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
//Frameworks
var core_1 = require("@angular/core");
var http_1 = require("@angular/http");
require("rxjs/add/operator/toPromise");
//Azteca Framework
var core_2 = require("framework3/core");
//Locales
var cuenta_por_cobrar_1 = require("../models/cuenta-por-cobrar");
var moment = require("moment");
var CuentaPorCobrarService = /** @class */ (function (_super) {
    __extends(CuentaPorCobrarService, _super);
    function CuentaPorCobrarService(http, context) {
        var _this = _super.call(this, http, context, 'api/credito/cuentas-por-cobrar-tit') || this;
        _this.http = http;
        _this.context = context;
        return _this;
    }
    CuentaPorCobrarService.prototype.create = function () {
        var newDoc = new cuenta_por_cobrar_1.CuentaPorCobrarInfo();
        return Promise.resolve(newDoc);
    };
    CuentaPorCobrarService.prototype.loadFacturacionPendiente = function (idSucursal, idDeudor, fechaIni, fechaFin) {
        var params = new http_1.URLSearchParams();
        params.set('IdSucursal', idSucursal.toString());
        params.set('IdDeudor', idDeudor.toString());
        params.set('FechaIni', moment(fechaIni).format());
        params.set('FechaFin', moment(fechaFin).format());
        return this.apiService.getData('load-facturacion-pendiente', params)
            .map(function (response) { return response.json(); })
            .toPromise();
    };
    CuentaPorCobrarService.prototype.GeneraFactura = function (idCFDSerie, idSucursal, idContribuyente, cxc) {
        var codigoMetodoPago = '';
        var cuentaBanco = '';
        var params = new http_1.URLSearchParams();
        params.set('IdCFDSerie', idCFDSerie.toString());
        params.set('CodigoMetodoPago', codigoMetodoPago);
        params.set('CuentaBanco', cuentaBanco);
        params.set('IdSucursal', idSucursal.toString());
        params.set('IdContribuyente', idContribuyente.toString());
        return this.apiService.postData('genera-factura', params, cxc)
            .map(function (response) {
            return response.json();
        })
            .toPromise();
    };
    CuentaPorCobrarService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.Http, core_2.Context])
    ], CuentaPorCobrarService);
    return CuentaPorCobrarService;
}(core_2.DocumentService));
exports.CuentaPorCobrarService = CuentaPorCobrarService;
