import { Http } from '@angular/http';
import 'rxjs/add/operator/toPromise';
import { Context, DocumentService } from 'framework3/core';
import { FileInfo } from 'framework3/general';
import { ComprobanteFiscalDetail } from '../../accounting';
import { ComprobanteFiscalInfo } from '../models/comprobante-fiscal';
import { CFDValiationResult } from '../models/cfd-validation-result';
export declare class ComprobanteFiscalService extends DocumentService<ComprobanteFiscalDetail, ComprobanteFiscalInfo> {
    protected http: Http;
    protected context: Context;
    constructor(http: Http, context: Context);
    create(): Promise<ComprobanteFiscalInfo>;
    validate(idEmpresa: number, file: FileInfo): Promise<CFDValiationResult[]>;
    save(idProveedor: number, idEmpresa: number, idSucursal: number, xml: string): Promise<ComprobanteFiscalInfo>;
    protected mapSearchResult(row: any): void;
}
