import { Http } from '@angular/http';
import 'rxjs/add/operator/toPromise';
import { Context, CatalogService } from 'framework3/core';
import { ContribuyenteInfo, UsoCFDIItem } from '../models/contribuyente';
export declare class ContribuyenteService extends CatalogService<ContribuyenteInfo> {
    constructor(http: Http, context: Context);
    create(): Promise<ContribuyenteInfo>;
    consultarRfcInscrito(idContribuyente: number): Promise<boolean>;
    loadUsosCFDI(idEmpresa: number): Promise<UsoCFDIItem[]>;
}
